Subject: [Ksummit-2011-discuss] experience with the new arm-soc workflow (Was: Re: ARM Maintainers workshop at Kernel Summit) 2011

From: [email-masked] (Mark Brown)
Date: Wed, 10 Aug 2011 00:57:13 +0900

On Tue, Aug 09, 2011 at 11:41:40AM -0400, Steven Rostedt wrote:
> On Tue, 2011-08-09 at 16:34 +0100, Mark Brown wrote:

> > Though one of the frequent consequences of any widespread cleanup is
> > that it ends up touching lots of places and consequently colliding with
> > other work.

> Yeah, but Linus himself said he's good at merges. Normal cleanups should
> not be too difficult to figure out conflicts of this nature.

The problem from the submitter point of view is that it makes it much
more complicated to work out what to base your patches on when doing new
work, particularly if the cleanups are actually useful or relevant for
stuff you're doing.  It raises the overhead for upstreaming that little
bit more for limited practical gain.